Beta testing Zhen Mailer

Started by Chen Zhen, March 27, 2018, 09:47:55 PM

Previous topic - Next topic

Chen Zhen

March 27, 2018, 09:47:55 PM Last Edit: October 31, 2020, 07:20:19 PM by Chen Zhen Reason: title
I need some beta testers for a new modification I am working on.

Zhen Mailer
SMF STARTTLS-SMTP email utility

The requirements are:

SMF 2.0.X or SMF 2.1.X branches
STARTTLS-SMTP email account

PHP 7.2+
ZipArchive class
cURL class
gzip (Zlib compression class)

Updated CA certificates are required for your forum to communicate with email providers using the STARTTLS SMTP extension.
Example settings for your php.ini file may be:
openssl.cafile = /etc/ssl/cacert.pem
curl.cainfo = /etc/ssl/cacert.pem

You can download the latest cacert.pem file here:
https://curl.haxx.se/ca/cacert.pem

Please respond to this post if you are interested in belonging to the beta group.
Membership to the beta group will open a private board with access to download the file.


Thank you.

bigguy

I would have to make changes to my server in order to help out. Maybe even a test site. I haven't had a test site in a long time, lol.

Chen Zhen

Quote from: bigguy on March 30, 2018, 09:46:44 AMI will download it sometime today and check it out. I am running php 7.0 My server does not have an option to run 7.2 I know it can be installed but SMF does not run on 7.2 does it. ?? I heard there were problems not sure though.

Your SMF 2.1 installation will work just fine with PHP 7.2
You likely have to use your host control panel to install PHP 7.2.
If it's a vps then you can do it via your terminal or perhaps your control panel has an option that allows terminal control of your OS.
When you  install PHP 7.2 on a command line you need to include specific packages with it as some are required at the onset of installation.
If you decide to go that route then perhaps tell me your OS and I can give you the one line of commands for installation.

bigguy

The server I run runs on CENTOS 6.9 kvm

Chen Zhen

March 30, 2018, 06:54:59 PM #4 Last Edit: March 30, 2018, 06:58:23 PM by Chen Zhen
install PHP 7.2 on Centos 6:
wget https://dl.fedoraproject.org/pub/epel/epel-release-latest-7.noarch.rpm
wget http://rpms.remirepo.net/enterprise/remi-release-7.rpm
rpm -Uvh remi-release-7.rpm epel-release-latest-7.noarch.rpm

yum install http://rpms.remirepo.net/enterprise/remi-release-7.rpm
yum install yum-utils
yum-config-manager --enable remi-php72
yum update
yum search php72 | more
yum search php72 | egrep 'fpm|gd|mysql|memcache'
yum install php72-php-fpm php72-php-gd php72-php-json php72-php-mbstring php72-php-mysqlnd php72-php-xml php72-php-xmlrpc php72-php-opcache php72-php-pecl-zip php72-php-pecl-apcu curl libzip libzip5
yum install php72-php-common
yum update
php --version

I put php-common in there to install anything I missed.
This should give you PHP 7.2.4 that includes some essentials needed for my mod & SMF 2.1 including:
ZipArchive
Zlib
json
mbstring
mysql mysqli
xml
pecl
apcu cache
... plus more

I noticed SMF 2.1 makes use of bzip as well (if it's installed) but I don't believe it's included in the above command line.
If you really want to learn how to install packages as you need them simply ask me and I can give you some brief instruction.
Once I show you how to do a few of them it will come easy.

Here is my go-to site for php package documentation:
https://pkgs.org/

The previous instruction I just gave you is using the remi repository.
However, you can use any of those packages designed for your distro.

bigguy

I found a place to install 7.2 in WHM. I might try that first. I'm nervous when it comes to servers. I'm not the best at them. I am learning though. :)

Chen Zhen

The package they include for PHP 7.2 may not have all the bells & whistles.
You may have to install classes after the initial installation.

It was actually a bit of work for me to get the ZipArchive class working.
I installed it without error but it would not show up as available even after resetting everything.
Afterward I noticed I didn't have a working cache module so I installed APCu which auto installed other dependencies.
After that all of a sudden ZipArchive class worked.. so the latter installed something that it needed.
 

bigguy

All that command line stuff you posted, where do I enter that in WHM. ??

Chen Zhen

You need to bring up a command line to type in what I posted.
You can try your WHM automated update by following these instructions:
https://manage.accuwebhosting.com/knowledgebase/2208/How-to-Upgrade-PHP-Version-in-cPanelorWHM-Server.html

Hopefully it includes ZipArchive else you will need to attempt to add that later.
If PHP 7.2 is not available then I will look up which icon/link gives you a command line.
I don't use that type of WHM so I can't look for myself.

Chen Zhen


What service do you have from your host?
Did you just go with shared or is it a VPS?

If it's a VPS then you should have SSH terminal access.
You have to use a tool like Putty to access it but it requires some setting up for security.

Chen Zhen


I added you to the beta testing group.
You should now be able to see the beta testing board along with access to Zhen Mailer in the download section.

It still needs a lot of work but is functional.

PHP 5.5 is the minimal requirement.
If you are using PHP 7.1 or PHP 5.5 then you can not use the encryption option.
This is explained more in the beta board.
You can ask any questions about it in that board from this point since you now have access.

Thanks.

bigguy

I have a vps with namecheap. They set it up initially. I have played a bit but for the most it is stock from namecheap. And thanks for beta access.

Chen Zhen


If it's a VPS then you will have ssh terminal access.
However it needs to be set up securely due to brute force attacks.
I can always give some pointers regarding that setup.
Why did they set you up with Centos 6.9 though?
The latest stable release is Centos 7.

bigguy

I started this server 2 months ago I think. Maybe that makes a difference. ??

Chen Zhen

March 31, 2018, 11:56:42 PM #14 Last Edit: March 31, 2018, 11:59:44 PM by Chen Zhen
No, stable releases of Centos 7 have been available since mid - late 2015.
ref. https://en.wikipedia.org/wiki/CentOS

The latest release is CentOS 7.1708 on March 19/2018.
ref. https://wiki.centos.org/Manuals/ReleaseNotes/CentOS7

You likely had the option of starting with CentOS 7 via your host control panel but I assume you let them do some sort of initial setup that you didn't bother changing.
Centos 6.9 isn't too bad.. it's not obsolete although I am sure the newer one works better and has been available for almost 3 years.